R2005 Vlisp: I have created an object reactor for a point object. I have a call back that prints to the screeen the coordinates if the point is moved. It appears that it prints to the screen multiple times if I move the point just once. Is this normal? Or am I doing something wrong. Command: m MOVE Select objects: 1 found Select objects: Specify base point or displacement: Specify second point of displacement or <use first point as displacement>: The Location is (16.7883 2.37886 0.0) The Location is (16.7883 2.37886 0.0) The Location is (16.7883 2.37886 0.0) The Location is (16.7883 2.37886 0.0) The Location is (16.7883 2.37886 0.0) The Location is (16.7883 2.37886 0.0) The Location is (16.7883 2.37886 0.0) Command: Here is the callback function: (defun print-coordinates (notifier-object reactor-object parameter-list) (vl-load-com) (cond ((vlax-property-available-p notifier-object "Coordinates" ) (princ " The Location is ") (princ (vlax-safearray->list (vlax-variant-value (vla-get-coordinates notifier-object)))) ) ) ) I created the object like this: (setq PointReactor (vlr-object-reactor (list Point1) "Point Reactor" '((:vlr-modified . print-coordinates))) ) TIA Bill